Bug 213664 - Dependency error between git-core and curl
Dependency error between git-core and curl
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: git-core (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 09:25 EST by Jay Cliburn
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: git-1_5_0_2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-19 18:43:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Cliburn 2006-11-02 09:25:45 EST
Description of problem:
Recently, curl-7.16.0-2.fc7 was released, but git-core-1.4.2.4-1.fc6 still
depends upon libcurl.so.3, which is part of the older curl-7.15.5-1.fc6.  Please
update git-core to use the new curl.

Version-Release number of selected component (if applicable):
git-core-1.4.2.4-1.fc6

How reproducible:
Every time.

Steps to Reproduce:
1. yum update curl
2.
3.
  
Actual results:
[root@osprey ~]# yum update curl
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package curl.i386 0:7.16.0-2.fc7 set to be updated
---> Package curl.x86_64 0:7.16.0-2.fc7 set to be updated
--> Running transaction check
--> Processing Dependency: libcurl.so.3()(64bit) for package: xine
--> Processing Dependency: libcurl.so.3()(64bit) for package: curl-devel
--> Processing Dependency: libcurl.so.3()(64bit) for package: git-core
--> Processing Dependency: curl = 7.15.5-1.fc6 for package: curl-devel
--> Processing Dependency: libcurl.so.3()(64bit) for package: vorbis-tools
--> Processing Dependency: libcurl.so.3()(64bit) for package: gnupg
--> Processing Dependency: libcurl.so.3 for package: curl-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package curl-devel.i386 0:7.16.0-2.fc7 set to be updated
---> Package vorbis-tools.x86_64 1:1.1.1-4.fc7 set to be updated
---> Package xine.x86_64 0:0.99.4-9.lvn7 set to be updated
---> Package gnupg.x86_64 0:1.4.5-5 set to be updated
---> Package curl-devel.x86_64 0:7.16.0-2.fc7 set to be updated
--> Running transaction check
--> Processing Dependency: libcurl.so.3()(64bit) for package: xine
--> Processing Dependency: libcurl.so.3()(64bit) for package: git-core
--> Finished Dependency Resolution
Error: Missing Dependency: libcurl.so.3()(64bit) is needed by package git-core
Error: Missing Dependency: libcurl.so.3()(64bit) is needed by package xine

Expected results:
I expect to see curl and git-core update without dependency errors.

Additional info:
Comment 1 Jay Cliburn 2006-11-06 19:45:40 EST
This is fixed with today's git-core-1.4.2.4-2.fc7.  Thank you very much.
Comment 2 Arkadiusz Miskiewicz 2007-01-06 15:47:11 EST
Don't forget about
http://marc.theaimsgroup.com/?l=git&m=116787832214670&w=2
Comment 3 Chris Wright 2007-03-19 18:43:39 EDT
The bug in comment #2 should be fixed in git 1.5.0.x.  Please reopen if issue
persists.  Also that particular bug is tracked under bz 219980.

Note You need to log in before you can comment on or make changes to this bug.